"use strict";
import * as React from "react";
import ReactDOMServer from "react-dom/server";
const CustomFieldDebuggerReactProvider = (props) => {
  const urlParams = new URLSearchParams(window.location.search);
  const enableDebug = urlParams.get("yextCFDebug");
  React.useEffect(() => {
    if (enableDebug) {
      console.log("Enable custom field debugger");
      import("../main/index").then(({ getProxyProfile, initCFDebugger }) => {
        if (props.debug) {
          console.log("Set up Proxy Profile");
        }
        const proxyProps = {
          data: {
            ...props.pageProps,
            document: getProxyProfile(props.pageProps.document)
          }
        };
        ReactDOMServer.renderToString(React.createElement(props.component, proxyProps));
        if (props.debug) {
          console.log("initCFDebugger()");
        }
        initCFDebugger(props.component, props.pageProps, props.debug);
      });
    }
  }, []);
  return /* @__PURE__ */ React.createElement(React.Fragment, null, props.children);
};
export {
  CustomFieldDebuggerReactProvider
};
