"use strict";
function getProxyProfile(profile) {
  window.cfdProxyUsage = window.cfdProxyUsage || {};
  function buildHandler(parentPath = "") {
    return {
      get(target, prop, receiver) {
        if (prop in target) {
          if (typeof target[prop] === "object") {
            return new Proxy(target[prop], buildHandler(`${parentPath}${prop}.`));
          } else if (typeof target[prop] === "function") {
            return target[prop];
          } else {
            window.cfdProxyUsage[`${parentPath}${prop}`] = true;
          }
        }
        return target[prop];
      }
    };
  }
  return new Proxy(profile, buildHandler());
}
export {
  getProxyProfile
};
